*	ShowFax : Display completed taxes using WinFax Pro's
*	Log object.
local lcMessage, lnType, lcKeyWords 
local lcName, lcTo, lcNumber, lcSubject 
local lcCompany, lcDate, lcTime 
local lnPages, lnStatus, lcstatusText, lcMessage

#define FOLDER~WINFAX_SENDLOG 4

#define STATUS_UNKNOWN 2
#define STATUS_COMPLETE 3
#define STATUS_FAILED 4

#define STATUS_HOLDING 5
#define STATUS_WAITING_AT_SERVER 6
#define STATUS_RECURRING 7
#define STATUS_SENDING 8
#define STATUS_GROUP SEND 9
#define STATUS_PENDING 10

wait window	"Instantiating WinFax Pro's " + ; 
            "Log object. .." nowait
oFaxLog = CreateObject ("WinFax.SDKLog") 
wait clear

if type("oFaxLog") = "0" and !isnull(oFaxLog) 
  with oFaxLog
    lcMessage = oFaxLog.GetMessageListFirst (FOLDER_WINFAX_SENDLOG, "")
    if empty(lcMessage)
      wait window "No items in send log at this time." 
    else
      do while !empty(lcMessage)
        lnType =.GetType(lcMessage)
        lcKeywords = .GetMessagekeyWords(lcMessage)
        if lnType = 2 && Type is fax
          lcName = .GetMessageDisplayName(lcMeasage)
          lcTo = .GetMessageTo (lcMessage)
          lcNumber = .GetMessageNumber(lcMessage)
          lcSubject =.GetMessagesubject(lcMessage)
          lcCompany .GetMessagecompany(lcMessage)
          lcDate = .GetMessageDate (lcMessage)
          lcTime = .GetMessageTime (lcMessage)
          lnPages = .GetMessagePageCount (lcMessage)
          lnStatus =.GetMessageStatus (lcMessage)
          do case
            case lnStatus = STATUS_UNKNOWN 
              lcStatusText = "Unknown"
            case lnStatus = STATUS_COMPLETE
              lcStatusText = "Complete"
            case lnStatus = STATUS_FAILED
              lcStatusText = "Failed"
            case lnStatus = STATUS_HOLDING
              lcStatusText = "Holding"
            case lnStatus = STATUS_WAITING_AT_SERVER 
              lcStatusText = "Waiting at the Server"
            case lnStatus = STATUS_RECURRING
            *	A fax set up to be sent at regular intervals
              lcStatusText = "Recurring"
            case lnStatus = STATUS_SENDING
              lcStatusText = "Sending"
            case lnStatus = STATUS_GROUP_SEND
              lcStatusText = "Group Send"
            case lnStatus = STATUS_PENDING
              lcStatusText = "Pending"
          endcase
        endif

        if messagebox("Would you like to " + ;
          "remove this item " + "from WinFax Pro' s " + ;
          "Send Log folder?" + chr(13) + chr(13) + ;
          "Status:" + lcStatusText + chr(13) + chr(13) + ;
          "From: " + lckeywords + chr (13) + ;
          "To: " + loTo + chr(13) + ;
          "Name: " + lcNaxne + chr (13) + ;
          "Company: " + lccompany + chr(13) + ;
	      "Number: " + lcNumber + chr(13) + ;
          "Subject: " + lcSubject + chr(13) + ;
          "Date " + lcDate + chr(13) + ;
          "Time: " + lcTime + chr(13) + ;
          "Pages: " + allt(str(lnPages)), 36, "Confirm Delete") = 6
          *	Delete the item from WinFax Pro's ;
          *	Send Log folder
          .DeleteEventAfldFiles (lcMessage) 
          endif

          *	Get the next message in the folder lcMessage = .GetMessageListNext ()
        enddo
      endif
    endwith

    * Wipe out the oFaxLog object 
    release oFaxLog
  else
    =messagebox("Unable to instantiate WinFax " + ;
                 "Pro SDKLog.", 16, program())
  endif               